package org.norberg.XmlTvToVdr;

/**
 * (c) 2003 Stefan Norberg (stefan@norberg.org)
 */
public class Runner {

	public static void main(String[] args) {
		
		XmlTvParser xmlParser = new XmlTvParser(PropertiesManager.getInstance().getXmlFileName());
		System.out.println("Parsing XML-file...");
		xmlParser.parse();
		
		Channel[] channels = ChannelFactory.getInstance().getAllChannels();
		
		System.out.println("Uploading EPG-info to "
		  + PropertiesManager.getInstance().getVdrHostname());
		Util.uploadEpgInfo(channels);
	}
	
}
